<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context="com.common.bluetooth.BtDemoActivity">

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/ble_rv"
                android:layout_width="match_parent"
                android:layout_height="200dp" />

            <Button
                android:id="@+id/search_ble"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="24dp"
                android:layout_marginEnd="24dp"
                android:text="搜索蓝牙" />

            <Button
                android:id="@+id/build_ble_server"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="24dp"
                android:layout_marginEnd="24dp"
                android:text="建立ble服务" />

            <EditText
                android:id="@+id/msg_et"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="24dp" />

            <Button
                android:id="@+id/send_msg"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="24dp"
                android:layout_marginEnd="24dp"
                android:layout_marginBottom="24dp"
                android:text="发送数据" />

            <TextView
                android:id="@+id/receive_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="24dp"
                android:text="收到的消息：" />

            <TextView
                android:id="@+id/receive_content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="24dp"
                android:layout_marginEnd="24dp" />

            <Button
                android:id="@+id/btc_server_build"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="经典蓝牙服务端" />

            <TextView
                android:id="@+id/btc_receive_content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="24dp"
                android:layout_marginEnd="24dp" />
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</RelativeLayout>